package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TFacility;

/**
 * 手环设备Service接口
 * 
 * @author zhengjie
 * @date 2023-08-12
 */
public interface ITFacilityService 
{
    /**
     * 查询手环设备
     * 
     * @param id 手环设备主键
     * @return 手环设备
     */
    public TFacility selectTFacilityById(Long id);

    /**
     * 查询手环设备列表
     * 
     * @param tFacility 手环设备
     * @return 手环设备集合
     */
    public List<TFacility> selectTFacilityList(TFacility tFacility);

    /**
     * 新增手环设备
     * 
     * @param tFacility 手环设备
     * @return 结果
     */
    public int insertTFacility(TFacility tFacility);

    /**
     * 修改手环设备
     * 
     * @param tFacility 手环设备
     * @return 结果
     */
    public int updateTFacility(TFacility tFacility);

    /**
     * 批量删除手环设备
     * 
     * @param ids 需要删除的手环设备主键集合
     * @return 结果
     */
    public int deleteTFacilityByIds(Long[] ids);

    /**
     * 删除手环设备信息
     * 
     * @param id 手环设备主键
     * @return 结果
     */
    public int deleteTFacilityById(Long id);
}
